RTL/bidirectional issues (tracking)
Closed, DeclinedPublic

Assigned To
Aklapper
Priority
Low
Author
bzimport
Blocks
T4007: Tracking bug (tracking)
Blocked By
T100699: RTL text in static images is reversed
T100568: flow-board-header-title is misaligned in RTL wikis
T99779: the arrow of the callout bubble near the "Recently active topics" control on a Flow page points the wrong way in RTL wikis
T99362: Special:Gather card title and excerpt are forced to ltr in rtl wikis
T98239: SecurePoll shows the voting table in RTL on an LTR-content wiki
T96497: in Special:Gather the content is shown in the UI language
T95885: shared-image-desc must have lang and dir attributes that match the wiki that hosts the shared image
T94544: some Flow icons need flipping for RTL wikis
T94541: Echo icons for thanks and talk page messages should point to the text
T94403: literal timestamp posts edited by other people is jumbled in mixed ltr-rtl environment
T90612: LTR pages adjusted RTL on arabic languages
T93497: U10. Flow's TOC on RTL wikis aren't spaced for sidebar
T93484: numbers of bytes added and removed in changes lists can be jumbled in mixed rtl/ltr environments especially in Flow
T93336: Flow changes in Watchlist show broken usernames in RTL
T40109: "(undo)" link missing from history in Chrome for edits containing a summary
T90378: Flow's small top of the page topic indicator overlaps the side bar in narrow windows on RTL wikis
T88936: Education Dashboard I18n: Support RTL locales that include a country tag
T88672: [Unplanned] ApiSandbox needs better RTL adaptation now that apihelp is being translated
T86979: jquery dialog with auto size takes 50% screen width in RTL language wikis
T86731: "Redirect" background image should be positioned on "right bottom" for RTL wikis
T78330: [unplanned] Notifications box is not well located in RTL wikis
T85129: [unplanned] In Special:ContentTranslation's Source and Target Language Selector Buttons, Drop-Downs Are Broken in RTL UI
T85128: [unplanned] In Special:ContentTranslation, Bad Positioning of the Source and Target Language Selector Occurs in RTL UI
T77975: Bi-directional text not displayed correctly in Special:log - brackets are incorrect
T73804: dir attribution on <references/> is ignored.
T73805: Credits section in PDF contains bogus {{int:Coll-attribution-page
T73802: Use XB Zar (X Series 2) font for Farsi
T71745: ULS: switching to LTR causes LTR languages to temporarily appear in RTL
T75317: ota language displays as ltr on Wikidata
T71465: editing area on MobileFrontend must be set to the language and the direction of the page's content
T74884: Table of contents doesn't account for HTML <bdi> tags
T68091: ResourceLoaderLESSFunctions::embed does not support CSSJanus flipping for RTL, affecting .background-image-svg() and others
T71141: images are aligned incorrectly in MobileFrontend in RTL
T66258: suboptimal placement of "More details" tipsy tooltip
T74608: iOS app: contributors and libraries lists in the credits screen must be forced to LTR direction
T70990: the number in mobile talk icon is misplaced in rtl
T66190: format of course term in URL isn't appropriate for RTL languages
T72718: Broken parentheses in Special:Sitematrix when language lacks translation and has opposite direction
T64351: MobileFrontend doesn't correctly handle LTR content in RTL contexts
T64349: Images in rtl (hebrew .. .etc) should be aligned to the left
T65882: [upstream] arrows in MathJax menus point the wrong way in RTL
T72491: iOS app table of contents icon is wrong in RTL interfaces
T72489: In RTL wikis Flow topic titles have wrong right margin
T67476: CPB: user name is incorrectly aligned in RTL wikis in Firefox
T67471: Echo popup goes off-screen with CPB in RTL wikis
T60685: The message about a deleted JavaScript page is shown as LTR in an RTL wiki
T72389: thread are wrongly aligned on RTL
T74153: meta=siteinfo should allow client to identify RTL languages
T62233: Headings in json-schema-code-samples have content language direction instead of user language
T68955: when translating from an LTR language to an RTL language, image captions are copied to translation column as LTR
T67288: The notifications icon in the CPB is misplaced in RTL wikis
T63867: content is left aligned in rtl wikis
T58906: BetaFeatures: Icons on RTL UI are not aligned correctly
T68773: Arrow with mw-icon-arrow-collapsed points the wrong way in RTL wikis
T68771: mobile table of contents icon needs to be flipped for RTL
T58782: Chrome: In edit view, RTL wikis have bug with tab and brackets
T55361: clever support for direction in CodeEditor
T61760: Education program in RTL shows the users articles in first column
T66857: the background icon of the talk box on Special:UserProfile is misaligned in RTL wikis
T66789: Compact personal bar should have RTL version of icons
T55102: Flipped "Go back" text on RTL interfaces
T55103: Mobile "Upload" button needs RTL adjustment
T68348: Some of the hebrew characters are not in proper order
T58358: plain text email notification includes HTML footer
T63260: Headings left aligned in Hebrew
T64981: Compact-interlanguage link doesn't show up correctly for RTL languages
T63258: UI language code and direction are applied to content in MobileFrontend
T64970: Hovercards: cards display incorrectly for RTL languages
T59789: "/" string suffix shown at the end in a style="text-align:left" section on RTL wiki
T59780: items in the Flow action menu have their background icon misaligned in RTL
T63134: Beta Features: The blue geonotahack icon appears in the wrong place in RTL wikis
T61168: localizing MediaWiki:Coll-rendering_text
T54619: MathJax mode does not respect content direction (aka "rtl")
T59404: the "continue" arrow in the MobileFrontend edit/preview workflow points to the wrong side in RTL
T56310: RTL language characters are displayed in LTR order in LTR languages (and vice versa)
T56276: RTL for Notification Tool: ? should be ؟ icon
T47941: Punctuation incorrectly placed for English text in banners on right-to-left written wikis
T47932: wrong display of bracket ")" in RTL languages
T56252: some images need to be reversed for RTL languages
T56249: the HTML e-mail message is not adapted for RTL languages
T52690: ULS IME selector goes off-screen in RTL
T60955: lang and dir attributes are not applied to mw-content-text on redirects
T44366: Change the float of #p-personal list items to follow directionality of the page in Vector skin
T57779: Personal links and tabs are reversed in the Vector skin
T51093: Page title appears inside <span dir="auto">. it shouldn't (at least in RTL wikis)
T44337: [Regression] Links to userpage and usertalk are in the wrong order in RTL language
T51073: In RTL, checkmark for selected input method overlaps text in ime menu
T45951: ULS search autocomplete doesn't handle RTL well: doesn't adapt direction, autocomplete text overlaps regular text
T49257: [TUX] RTL proofread action icons are needed
T47585: Keyboard Icon of Language selector for RTL languages should be at left
T54154: Monobook: ULS form (opened by keyboard icon) out of screen if content language = LTR and UI language = RTL
T44019: Find common range box must always flow left-to-right
T54110: Directionality of the CAPTCHA textbox must always be LTR
T42372: the iframe with the Creative Commons license shows partial translations
T52298: On [[Special:FundraiserLandingPage]], when the currency is Egyptian pound, the donation amounts are reversed
T50716: on RTL languages the settings menu overlap in RTL locale
T50629: Non-printable characters on enhanced recent changes account creation logs before semi-colons
T45678: Commons main_page for RTL languages
T52196: In RTL languages, "history" and "add section" menu items moved into the hidden menu
T45648: Install package fonts-farsiweb on image scalers
T45640: SVG to PNG: font rendering problem in Persian
T45588: Wrong placing of closing brackets in English language name tooltips for LTR languages
T40674: Names.php includes RTL control characters
T40677: Arrows on the challenge selection buttons point the wrong way in RTL environment
T48864: on he.wikivoyage TOC are on the left instead of right as you would expect in RTL wiki
T47142: [Opera] ULS text winds up on top of the icon in RTL languages
T48778: IME layout name is incorrectly aligned in RTL
T40491: RTL issues with forms
T55502: EasyTimeline svg2png method has a clickable map with wrong coordinates.
T55488: Article Feedback Tool v5 (AFTv5) adds some unneeded ZWNJ to labels
T40351: Default alignment of images does not respect the page title language and uses the content language alignment
T38803: properly display characters with directionality neutral if uselang=foobar is using the opposite directionality
T38804: migrate MedaWiki from using BiDirectional characters by properly embedding any item using directionality syntax
T40294: jquery.articleFeedbackv5.special styles loaded incorrectly in RTL languages
T40289: Page width awkwardness in translation mode for RTL languages
T38795: Collapsible arrows on Special:CentralNoticeLogs point to the wrong direction with RTL interface language
T38791: Date selector on SpecialCentralNotice should use the jquery.ui.datepicker module
T38790: in DatabaseError.php, SQL errors, function names etc. should be explicitly LTR
T41694: A lot of the styling disappears when Special:ArticleFeedbackv5 is shown in an RLT language
T46839: CSS bugs on Wikipedia with RTL languages (bottom .guider ruleset missing)
T46804: Automatically flip guider positions for RTL wikis
T35126: VisualEditor: Support for right-to-left (rtl) / bidirectional content (tracking)
T48463: Edit preview renders in wrong directionality
T45110: Support RTL languages/wikis in Huggle
T43254: Bullet points in PDF collection sometimes shown on wrong side for RTL text
T38637: WikiData RTL / BiDi tracker bug
T36723: When editing a script page on a RTL wiki the textbox should be LTR
T36679: Script rendering error when reverting username with Arabic scripts
T33243: DoubleWiki view has bug in RTL wikis direction
T33236: "Next" and "Previous" buttons are shown incorrectly in an RTL environment
T41369: 'scribunto-console-intro' is not parsed
T41364: Scribunto code editor must always be LTR
T48215: "All notifications" and "Preferences" links need RTL tweaks
T41351: create a Hebrew Wikidata client test wiki
T36587: Vector: Collapsible tabs first start from the wrong side in RTL
T38340: Please preserve paragraph directionality in diff
T38335: MediaWiki:Titleblacklist in rtl wikis should be ltr
T38327: the star marker overlaps with the word "FEATURED" in an RTL environment
T38325: Direction (ltr/rtl) of feedback comments may be different from the direction of the interface language
T38324: thumbs near the words "Yes" and "No" are on the same side of the words in LTR and RTL
T41288: No RTL Styling support in the WLM app
T36514: Language and direction of first heading should depend on page content language instead of user interface language
T46455: ULS places map sections backward in RTL languages
T41233: direction of justtranslated is not set according to the language
T36470: margin for edit section button on RTL wikis with LTR user interface is on the wrong side
T39640: PDF export extension problem with Numbered list
T31341: The new mobile prototype shows the RTL wiki as LTR
T31263: Add LTR class to the shared CSS to be used for left-to-right text such as SQL queries shown in dberrortext and similar messages in RTL environments
T38032: The reference number should be bidi-isolated
T32804: RTL display is broken with ?debug=true
T34403: RTL title ending in a neutral-direction character displays incorrectly when viewing in an LTR language
T32770: "Timeline error" - improved wording and directionality [PATCH]
T29591: CentralNotice is oriented LTR on RTL wikis
T44471: Video controls are broken in an RTL interface language
T36166: RTL bugs in the Wikimedia Mobile Android app (tracking)
T32704: PDF export extension problem with HTML tags in RTL wikis
T34316: PDF export extension has problem with <sub>&<small>&<big>&<sup> in RTL wikis
T37911: direction in MobileFrontend is always based on the wiki's content language
T32679: some installer fields should always be LTR
T29490: [regression] RTL ui in LTR wiki is LTR aligned
T29485: block log entry duration message is broken in RTL wikis
T37877: The arrow near "Respond to this" in the MoodBar dashboard points the wrong way in RTL environment
T32630: Math expressions in RTL wikis should have LTR alignment
T31002: Resizing WikiEditor dialogs works wrong when using an RTL language
T29450: Directionality of video subtitles should match the directionality of the subtitle language
T30980: parser tags such as <ref>, <poem>, <timeline> etc. cannot be localized
T30970: there's no clean way to indicate the directionality of the content of the page
T37812: The tip of the MoodBar bubble points to the left in RTL environments
T37813: The arrow near "What is this?" in the MoodBar bubble points the wrong way in RTL environment.
T39310: Updates to ISO-codes for ku family dialects
T29363: Mobile RTL Wikipedias' main pages are displayed as LTR
T30902: date in Upload Wizard form overlaps with the calendar icon in an RTL language
T29330: revreview-editnotice is aligned LTR in he.wikisource
T29332: magnifying glass icon at the wrong end of the search box in RTL wikis
T39246: RTL / BiDi issues in Semantic MediaWiki and related extensions (tracking)
T27615: WikiBhasha localization for Right-to-Left languages is not complete.
T29249: "Installed software" table in Special:Version should always be left-to-right
T39164: talk page message's directionality is based on the target wiki content language
T30716: in the Insert link dialog, "Cancel" is on the left
T30708: BiDi: LTR and RTL mixed up (tracking)
T39051: "Filter list" label and menu are broken in RTL
T29022: use correct directionality in lists of messages.
T39018: the inputbox always has the directionality of the content language
T30554: "Bulleted list", "Numbered list" and "Indentation" buttons in the editing toolbar must be reversed in RTL wikis
T35699: directionality of the offline error page is not set in RTL
T27277: invisible directional character on File page pollutes pasted filenames
T23778: BiDi issue in RTL wikis at site notice with LTR text ending with Unicode characters with neutral directional
T32182: Untranslated gadget descriptions have incorrect directionality in RTL user languages
T33817: The <bdi> tag is sanitized
T38941: The arrow near "Your ratings have not been submitted yet" points the wrong way in RTL
T37410: RTL mix is strange
T38918: The arrow on the "Edit this page" button points the wrong way in RTL environments
T30438: in IE9 p-personal links are shown vertically in RTL wikis with Vector
T30430: math must always be left-to-right, even when rendered as HTML
T33738: Templates should have 'meta icons' to fix text direction issues
T35538: Line numbers are outside of left border when using <source ... line start= > on RTL wikis
T28742: RTL rules in JUI Datepicker CSS not guarded against Janus
T27061: Table of contents problem on right to left languages
T28723: RTL languages break the alignment in "Download text"
T28589: searchbox broken on IE6 for he.wikipedia.org
T26901: editsection and floating issue with vector skin at ckb.wikipedia
T30174: "top left corner" in message may be wrong in RTL wikis.
T22044: Misaligned text on file pages (RTL wikis only)
T37167: <span dir="ltr"> in headings is ignored when the heading is shown in table of contents
T37085: Left-to-right usernames with punctuation displayed incorrectly on right-to-left wikis
T28414: The revision tag pops up a window in the wrong direction in an RTL environment
T37059: Dialog has no style applied and therefore is transparent (jQuery.UI) for RTL languages and monobook
T26692: Upload wizard: RTL support is incomplete
T23191: main page's page history showing misrendered parens
T31658: CodeReview has no right-to-left support
T23048: BiDirectional editing - provide a tool to resolve also nested BiDi blocks
T28208: Mark directionality of interlanguage links
T18502: External link icons are not displayed for RTL in Monobook
T28148: Redirect button in the Vector skin must be mirrored in an RTL environment
T22934: LiquidThreads has no support for RTL
T14846: IE rtl.css issue in RTL wikis special:Preferences when selecting an LTR user language
T14850: history not clickable if in an rtl environment the chosen language is ltr
T14682: check box issue at RTL wikis in Opera
T18160: Suggestions box should be resized from left for RTL wikis
T26206: "Login error" message is not aligned correctly in RTL wikis with Vector
T26204: Problem with external link arrow in rtl languages
T14475: BiDi issue with rendering of « non textual entities » : Firefox and Opera fail but Konqueror does not
T14409: unclickable links at a BiDi page when looking at « action=history » with Firefox
T27839: Block end timestamp should use the right direction in logs
T26112: button text pushed to right side of page on RTL toolbar
T26088: Change rtl buttons in rtl languages
T17831: Modern skin RTL support is bugous
T17799: Using $wgConf to set the LanguageCode doesn't take care of directionality
T14243: « main.css » ( and « rtl.css » ) should use the directionality « inherit? » for « non-textual entities »
T14242: « action=render » does not preserve the directionality of pages
T11004: Long edit summary overlaps with sidebar for RTL
T22360: Unicode directionality marker causes parentheses error in edit summary
T22344: when printing, monobook does not include rtl.css corrections.
T15673: Supporting directionality for references
T7337: Relativity of left and right =/= {{BEFORE}} and {{AFTER}} - code portability
T5621: BiDi: evaluate LRM, RLM, LRE, RLE, LRO, RLE (PDF?) followed by "*", "#", ":", ";" same as "*", "#", ":", ";" at the begining of lines
T7087: Firefox misaligns namespace checkboxes in preferences for RTL
T15466: Design of diffs should be improved to indicate white space changes better
T6953: Toolbox and other additional navigation identations differs from Navigation identation at RTL wikies
T15447: Tabs collapsed on LTR wikis for RTL users
T6824: IE7 compatibility and CSS quirks (IE7 beta is now publicly available)
T6604: Wrong direction in editing/showing fractions (math) including Persian digits in Internet Explorer
T5016: Editing RTL article confuses RC
T5004: arabic script error in mozilla
T15285: Background incorrectly extended in IE7 in arwiki's monobook skin
T3321: RTL monobook tabs jump on hover in IE6
T3323: Logo in IE with RTL renders half off screen
T10002: Math rendering poor in RTL
T6534: Links overlap at Gujarati wiki projects: gu.wikipedia gu.wiktionary gu.wikibooks if page contains RTL characters
T11724: Arabic User Name GUI Error
T15229: Links unclickable in rtl wikis when using simple skin under Firefox
T4797: [[MediaWiki:Mainpage]] and the other navigation utilities should allow pipes, &nbsp; <span dir="foo" >
T4801: example of discrepancy between preview and purge in a BiDi (RTL LTR) environment
T4773: The print mode of page is not shown as RTL on RTL wikis.
T3061: CSS-added icons next to links display through the text and makes it unreadable in RTL
T6357: facilitate syntax for BiDi editing (tracking)
T8100: Allow different directionality (rtl/ltr) for user interface and wiki content
T4752: Not able to save an edit
T6330: Urls should always be embeded in LTR
T6332: RTL characters disappear in the Search edit box at Special:Search
T6267: Change several languages to right-to-left
T6236: BiDi support for the personal toolbar
T6224: BiDi: strange results when using "copy and paste" in (Windows XP SP 2 and) Firefox
T6223: BiDi: Firefox: "Move page:" and "To new title:" show different titles
T2810: Headings resitant to font changes on RTL pages
T4545: Things are left to the TOC in RTL wikis
T18771: BiDi interfearence between subcategory names, paranthesises and counters
T2725: LTR doesn't work on Hebrew pages
T6149: BiDi: [[Image:foo|frame]] overwrites following text in Mozilla Firefox and Netscape
T6124: BiDi: Mozilla Firefox and Netscape can not preserve original tab order if LTR / RTL properties of content language and selected user interface differ
T6126: BiDi feature request: please create a variable {{CONTENTDIR}}
T6114: RTL related issue with Mozilla Firefox and Netscape: text and checkboxes get squeezed; implement workaround
T6102: BiDi: Mozilla Firefox and Netscape can not display enough space between tabs if LTR / RTL properties of content language and selected user interface differ
T11468: Right-to-left rendering on a left-to-right wiki screws up watchlist formatting
T4399: Unicode normalization "sorts" Hebrew/Arabic/Myanmar vowels wrongly
T4405: in an RTL wiki TOC seems to be generated always RTL
T4395: rendering problems with images in a RTL environment
T6066: BiDi: general request for special pages: special pages should display LTR / RTL according to user interface not according to content language (tracking)
T4383: uncertain about ambiguosity in mixed LTR and RTL environment
T6040: general solution to handle overlapping links, reordering of fields on pages caused due to BiDi environments
T6039: BiDI: please preserve dir="ltr" and dir="rtl" in TOC
T6062: Safari doesn't deal well with recent change to catlinks listing for bi-di characters
T4371: external links at yi.wikipedia are *always* class="plainlinks"
T4349: avoid overlapping links in mixed RTL and LTR context using tables
T6011: Allow users to change text direction in all text input and textarea boxes
T2524: Print stylesheet forces left alignment on RTL languages
T4342: w:he:(aleph) is a valid interwiki link at en: but not at other wiki's
T7808: Numbers from numbered lists overlap area
T6016: BiDi: cosmetics about rendering for InterWiki links - fixes to targets which do not match the content language orientation
T4324: image for redirects should be without text and orientened according to content language
T6030: EasyTimeline reversed text in RTL languages
T5978: impossible to resize textbox / inputbox at special:Emailuser when using Internet Explorer at RTL wiki's
T5953: BiDi issues related to the "In other language" section should be fixed in Names.php
T5954: BiDi: minimize the mess in MediaWiki messages caused by BiDi-characters when using a RTL user interface at a LTR wiki and viceversa
T5977: checkboxes do not show properly with Internet Explorer at RTL wiki's
T7724: Add direction marks to stop some annoying problems
T5885: title normalisation
T5888: BiDi vulnerability: RIGHT-TO-LEFT OVERRIDE - U 202E in titles / usernames generates a mess
T11316: Protecting pages in the Arabic Wikipedia - column lock checkbox misaligned in RTL
T4020: BiDi related issues to ";", ":", "#", and "*", monobook skin etc.
T5819: strip phantom general punctuation characters from page titles
T5798: The arrow in [[Special:DoubleRedirects]] cannot be changed
T5802: multiple entries in [[yi:Special:DoubleRedirects]]; links with wrong labels / missing pronunciation characters
T5820: (Firefox bug) Horizontal scrollbar missing on right-to-left (RTL/Hebrew/Arabic)
T2119: Full-width tabs on the Urdu Wikipedia
T2068: Images do not align left under Mozilla in Hebrew Wiki...
T2033: in RTL pages, images on the left cause text to become jumbled
T5696: Unicode Control Characters should be restricted in title text (RLM, LRM, RLO, LRO, . . .)
Subscribers
Meno25, Hippietrail, Amire80 and 8 others
Projects
Security
None
Reference
bz745
Description

This tracking task has been superseded by the project RTL as requested in T78670: convert the RTL blocking bug T2745 into a tag. Please use / watch the project RTL instead of this task."

Author: tom

Description:
Tracking bug for any RTL/bidirectional text issues.


Version: unspecified
Severity: normal
URL: http://www.mediawiki.org/wiki/Directionality_support

bzimport added projects: MediaWiki-Parser, Tracking.Via ConduitNov 21 2014, 7:01 PM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz745.
bzimport created this task.Via LegacyOct 19 2004, 2:04 AM
bzimport added a comment.Via ConduitJun 8 2005, 7:01 AM

gangleri wrote:

Dear Friends!

Niklas set up a *RTL test wiki* at http://jadesukka.homelinux.org:8180/golem/ .
The content language is / should be Yiddish. Namespaces are translated already
but tags ar not the ones from [[yi:Special:Allmessages]].

Trough "MediaWiki:SiteNotice" many usefull *bilingual* links are available. Hope
to provide more help in English.

Please take a look at items described at
http://jadesukka.homelinux.org:8180/golem/Feedback . Would be happy if you can
provide some help making correspondence to known bugs and reporting new.

Best regards [[user:gangleri]]

bzimport added a comment.Via ConduitNov 13 2005, 10:47 PM

gangleri wrote:

The test wiki Golem
( http://jadesukka.homelinux.org:8180/golem/Feedback )
is behind a firewall. Removed URL. You may post your comments to
http://yi.wiktionary.org/wiki/user:Gangleri/tests/bugzilla

best regards reinhardt [[user:gangleri]]

werdna added a comment.Via ConduitJul 29 2009, 4:38 PM

Adding 'tracking' keyword.

bzimport added a comment.Via ConduitOct 25 2009, 10:24 PM

gangleri wrote:

This post can be regarded as a list of search words.

draft : list of languages (also metalanguages and dialects) using Right to Left scrips

based on:
http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/languages/Names.php?view=markup

$wgLanguageNames

01: 'am' => 'አማርኛ', # Amharic
http://www.ethnologue.com/show_language.asp?code=amh
http://en.wikipedia.org/wiki/Amharic_language
Amharic (አማርኛ amarəñña) is a Semitic language spoken in North Central Ethiopia by the Amhara.

02: 'ar' => 'العربية', # Arabic
http://www.sil.org/iso639-3/documentation.asp?id=ara
http://en.wikipedia.org/wiki/Arabic_language
Arabic (العربية al-ʿarabīyah or عربي ʿarabi) is a Central Semitic language,

03: 'arc' => 'ܐܪܡܝܐ', # Aramaic
http://www.sil.org/iso639-3/documentation.asp?id=arc
http://en.wikipedia.org/wiki/Aramaic_language
Aramaic is a Semitic language with a 3,000-year history.

04: 'arz' => 'مصرى', # Egyptian Spoken Arabic
http://www.ethnologue.com/show_language.asp?code=arz
http://en.wikipedia.org/wiki/Egyptian_Arabic
Egyptian Arabic (مصري Maṣrī; formally: اللغة المصرية العامية il-luɣa l-maṣriyya l-ʕammiyya in Egyptian Arabic) is a variety of the Arabic language of the Semitic branch of the Afroasiatic language family.

05: 'bcc' => 'بلوچی مکرانی', # Southern Balochi
http://www.sil.org/iso639-3/documentation.asp?id=bcc
http://en.wikipedia.org/wiki/Balochi_language
Balochi (بلوچی also Baluchi) is a Northwestern Iranian language. It is the principal language of the Baloch of Balochistan, Pakistan, eastern Iran and southern Afghanistan.

06: 'bqi' => 'بختياري', # Bakthiari
http://www.ethnologue.com/show_language.asp?code=bqi
http://en.wikipedia.org/wiki/Bakhtiari_dialect
Bakhtiari dialect is a southwestern Iranian dialect, spoken by Bakhtiari people in Chaharmahal-o-Bakhtiari, western Khuzestan and parts of Isfahan and Lorestan provinces.

07: 'ckb' => 'Soranî / کوردی', # Sorani
http://www.ethnologue.com/show_language.asp?code=ckb
http://en.wikipedia.org/wiki/Soran%C3%AE
Soranî (Kurdish: سۆرانی; also called Central Kurdish) is the name of a Kurdish language that is spoken in Iran and Iraq and such is a member of the Iranian languages.

08: 'dv' => 'ދިވެހިބަސް', # Dhivehi
http://www.ethnologue.com/show_language.asp?code=div
http://en.wikipedia.org/wiki/Dhivehi_language
Dhivehi, Divehi or Mahl is an Indo-Aryan language spoken by about 350,000 people in the Republic of Maldives and also in the island of Minicoy (Maliku) in neighbouring India.

09: 'dz' => 'ཇོང་ཁ', # Bhutani
http://www.sil.org/iso639-3/documentation.asp?id=bal
http://en.wikipedia.org/wiki/Bhutani_language
Balochi (بلوچی also Baluchi) is a Northwestern Iranian language[1]. It is the principal language of the Baloch of Balochistan, Pakistan, eastern Iran and southern Afghanistan.

10: 'fa' => 'فارسی', # Persian
http://www.sil.org/iso639-3/documentation.asp?id=fas
http://en.wikipedia.org/wiki/Persian_language
Persian (local names: فارسی, Farsi IPA: [fɒːɾˈsi]; or پارسی, Parsi IPA: [pɒːɾˈsi], see Nomenclature) is an Iranian language within the Indo-Iranian branch of the Indo-European languages.

11: 'glk' => 'گیلکی', # Gilaki
http://www.ethnologue.com/show_language.asp?code=glk
http://en.wikipedia.org/wiki/Gilaki_language
The Giləki language is an ancient and living Caspian language, and a member of the northwestern Iranian language branch, spoken in Iran's Mazanderan and Gīlān Provinces.

12: 'ha' => 'هَوُسَ', # Hausa
http://www.ethnologue.com/show_language.asp?code=hau
http://en.wikipedia.org/wiki/Hausa_language
Hausa is the Chadic language with the largest number of speakers, spoken as a first language by about 24 million people, and as a second language by about 15 million more.

13: 'he' => 'עברית', # Hebrew
http://www.sil.org/iso639-3/documentation.asp?id=heb
http://en.wikipedia.org/wiki/Hebrew_language
Hebrew (עִבְרִית, Ivrit,ivrit.ogg Hebrew pronunciation (help·info)) is a Semitic language of the Afro-Asiatic language family.

14: 'ku' => 'Kurdî / كوردی', # Kurdish
http://www.sil.org/iso639-3/documentation.asp?id=kur
http://en.wikipedia.org/wiki/Kurdish_language
Kurdish (Kurdish: Kurdî or کوردی) is the language spoken by Kurds in western Asia.

15: 'mzn' => 'مازِرونی', # Mazanderani
http://www.ethnologue.com/show_language.asp?code=mzn
http://en.wikipedia.org/wiki/Mazandarani_language
Mazandarani (also Mazanderani) or Tabari (Also known as: Mazeniki) is an Iranian language of the northwestern branch,

16: 'pnb' => 'پنجابی', # Western Punjabi
http://www.sil.org/iso639-3/documentation.asp?id=pnb
http://en.wikipedia.org/wiki/Western_Punjabi
The Western Panjabi language is an Indo-Aryan language spoken predominantly in Punjab (Pakistan).

17: 'ps' => 'پښتو', # Pashto, Northern/Paktu/Pakhtu/Pakhtoo/Afghan/Pakhto/Pashtu/Pushto/Yusufzai Pashto
http://www.sil.org/iso639-3/documentation.asp?id=pus
http://en.wikipedia.org/wiki/Pashto
Pashto (Naskh: پښتو - [paʂˈto]; also transliterated Pakhto, Pushto, Pukhto, Pashtu, or Pushtu), also known as Afghani,[6][7] is an Indo-European language spoken primarily in Afghanistan and western Pakistan.

18: 'sd' => 'سنڌي', # Sindhi
http://www.ethnologue.com/show_language.asp?code=snd
http://en.wikipedia.org/wiki/Sindhi_language
Sindhi (Sindhi: سنڌي , Urdu: سندھی ,Devanagari script: सिन्धी, Sindhī) is the language of the Sindh region of Pakistan.

19: 'ug' => 'Uyghurche / ئۇيغۇرچە', # Uyghur (multiple scripts - defaults to Latin)
http://www.ethnologue.com/show_language.asp?code=uig
http://en.wikipedia.org/wiki/Uyghur_language
Uyghur (ئۇيغۇرچە Uyghurche Уйғурчә, or ئۇيغۇر تىلى Uyghur tili Уйғур тили; IPA [ʔʊjˈʁʊrtʃɛ]),[4][5] formerly known as Eastern Turki,[6] is a Turkic language spoken in Xinjiang Uyghur Autonomous Region, a Central Asian region administered by China, mainly by the Uyghur ethnic group.

20: 'ur' => 'اردو', # Urdu
http://www.ethnologue.com/show_language.asp?code=urd
http://en.wikipedia.org/wiki/Urdu
Urdu (اُردوُ Hindi: उर्दू Urdū, IPA: [ˈʊrduː] (also alternately known as Undri) is a Central Indo-Aryan language of the Indo-Iranian branch, belonging to the Indo-European family of languages. It is one of the two official languages (the other being English) of Pakistan

21: 'yi' => 'ייִדיש', # Yiddish
http://www.sil.org/iso639-3/documentation.asp?id=yid
http://en.wikipedia.org/wiki/Yiddish_language
Yiddish (ייִדיש yidish or אידיש idish, literally "Jewish") is a non-territorial High German language of Jewish origin, spoken throughout the world. Yiddish is conventionally written in the Hebrew alphabet.

++++ end of list ++++

SPQRobin added a comment.Via ConduitAug 2 2011, 8:57 PM

For more information, especially for developers, and best practices for improve support for different directionalities, see http://www.mediawiki.org/wiki/Directionality_support

Yamaha5 added a comment.Via ConduitMar 2 2013, 3:37 PM

(In reply to comment #4)
I checked this list and 'am', 'dz' and 'ha' languages were not RTL

This post can be regarded as a list of search words.

draft : list of languages (also metalanguages and dialects) using Right
to
Left scrips

based on:
http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/languages/Names.
php?view=markup

$wgLanguageNames

01: 'am' => 'አማርኛ', # Amharic
http://www.ethnologue.com/show_language.asp?code=amh
http://en.wikipedia.org/wiki/Amharic_language
Amharic (አማርኛ amarəñña) is a Semitic language spoken in North Central
Ethiopia
by the Amhara.

02: 'ar' => 'العربية', # Arabic
http://www.sil.org/iso639-3/documentation.asp?id=ara
http://en.wikipedia.org/wiki/Arabic_language
Arabic (العربية al-ʿarabīyah or عربي ʿarabi) is a Central Semitic language,

03: 'arc' => 'ܐܪܡܝܐ', # Aramaic
http://www.sil.org/iso639-3/documentation.asp?id=arc
http://en.wikipedia.org/wiki/Aramaic_language
Aramaic is a Semitic language with a 3,000-year history.

04: 'arz' => 'مصرى', # Egyptian Spoken Arabic
http://www.ethnologue.com/show_language.asp?code=arz
http://en.wikipedia.org/wiki/Egyptian_Arabic
Egyptian Arabic (مصري Maṣrī; formally: اللغة المصرية العامية il-luɣa
l-maṣriyya
l-ʕammiyya in Egyptian Arabic) is a variety of the Arabic language of the
Semitic branch of the Afroasiatic language family.

05: 'bcc' => 'بلوچی مکرانی', # Southern Balochi
http://www.sil.org/iso639-3/documentation.asp?id=bcc
http://en.wikipedia.org/wiki/Balochi_language
Balochi (بلوچی also Baluchi) is a Northwestern Iranian language. It is the
principal language of the Baloch of Balochistan, Pakistan, eastern Iran and
southern Afghanistan.

06: 'bqi' => 'بختياري', # Bakthiari
http://www.ethnologue.com/show_language.asp?code=bqi
http://en.wikipedia.org/wiki/Bakhtiari_dialect
Bakhtiari dialect is a southwestern Iranian dialect, spoken by Bakhtiari
people
in Chaharmahal-o-Bakhtiari, western Khuzestan and parts of Isfahan and
Lorestan
provinces.

07: 'ckb' => 'Soranî / کوردی', # Sorani
http://www.ethnologue.com/show_language.asp?code=ckb
http://en.wikipedia.org/wiki/Soran%C3%AE
Soranî (Kurdish: سۆرانی; also called Central Kurdish) is the name of a
Kurdish
language that is spoken in Iran and Iraq and such is a member of the Iranian
languages.

08: 'dv' => 'ދިވެހިބަސް', # Dhivehi
http://www.ethnologue.com/show_language.asp?code=div
http://en.wikipedia.org/wiki/Dhivehi_language
Dhivehi, Divehi or Mahl is an Indo-Aryan language spoken by about 350,000
people in the Republic of Maldives and also in the island of Minicoy (Maliku)
in neighbouring India.

09: 'dz' => 'ཇོང་ཁ', # Bhutani
http://www.sil.org/iso639-3/documentation.asp?id=bal
http://en.wikipedia.org/wiki/Bhutani_language
Balochi (بلوچی also Baluchi) is a Northwestern Iranian language[1]. It is the
principal language of the Baloch of Balochistan, Pakistan, eastern Iran and
southern Afghanistan.

10: 'fa' => 'فارسی', # Persian
http://www.sil.org/iso639-3/documentation.asp?id=fas
http://en.wikipedia.org/wiki/Persian_language
Persian (local names: فارسی, Farsi IPA: [fɒːɾˈsi]; or پارسی, Parsi IPA:
[pɒːɾˈsi], see Nomenclature) is an Iranian language within the Indo-Iranian
branch of the Indo-European languages.

11: 'glk' => 'گیلکی', # Gilaki
http://www.ethnologue.com/show_language.asp?code=glk
http://en.wikipedia.org/wiki/Gilaki_language
The Giləki language is an ancient and living Caspian language, and a member
of
the northwestern Iranian language branch, spoken in Iran's Mazanderan and
Gīlān
Provinces.

12: 'ha' => 'هَوُسَ', # Hausa
http://www.ethnologue.com/show_language.asp?code=hau
http://en.wikipedia.org/wiki/Hausa_language
Hausa is the Chadic language with the largest number of speakers, spoken as a
first language by about 24 million people, and as a second language by about
15
million more.

13: 'he' => 'עברית', # Hebrew
http://www.sil.org/iso639-3/documentation.asp?id=heb
http://en.wikipedia.org/wiki/Hebrew_language
Hebrew (עִבְרִית, Ivrit,ivrit.ogg Hebrew pronunciation (help·info)) is a
Semitic language of the Afro-Asiatic language family.

14: 'ku' => 'Kurdî / كوردی', # Kurdish
http://www.sil.org/iso639-3/documentation.asp?id=kur
http://en.wikipedia.org/wiki/Kurdish_language
Kurdish (Kurdish: Kurdî or کوردی) is the language spoken by Kurds in western
Asia.

15: 'mzn' => 'مازِرونی', # Mazanderani
http://www.ethnologue.com/show_language.asp?code=mzn
http://en.wikipedia.org/wiki/Mazandarani_language
Mazandarani (also Mazanderani) or Tabari (Also known as: Mazeniki) is an
Iranian language of the northwestern branch,

16: 'pnb' => 'پنجابی', # Western Punjabi
http://www.sil.org/iso639-3/documentation.asp?id=pnb
http://en.wikipedia.org/wiki/Western_Punjabi
The Western Panjabi language is an Indo-Aryan language spoken predominantly
in
Punjab (Pakistan).

17: 'ps' => 'پښتو', # Pashto,
Northern/Paktu/Pakhtu/Pakhtoo/Afghan/Pakhto/Pashtu/Pushto/Yusufzai Pashto
http://www.sil.org/iso639-3/documentation.asp?id=pus
http://en.wikipedia.org/wiki/Pashto
Pashto (Naskh: پښتو - [paʂˈto]; also transliterated Pakhto, Pushto, Pukhto,
Pashtu, or Pushtu), also known as Afghani,[6][7] is an Indo-European language
spoken primarily in Afghanistan and western Pakistan.

18: 'sd' => 'سنڌي', # Sindhi
http://www.ethnologue.com/show_language.asp?code=snd
http://en.wikipedia.org/wiki/Sindhi_language
Sindhi (Sindhi: سنڌي , Urdu: سندھی ,Devanagari script: सिन्धी, Sindhī) is the
language of the Sindh region of Pakistan.

19: 'ug' => 'Uyghurche / ئۇيغۇرچە', # Uyghur (multiple scripts - defaults to
Latin)
http://www.ethnologue.com/show_language.asp?code=uig
http://en.wikipedia.org/wiki/Uyghur_language
Uyghur (ئۇيغۇرچە Uyghurche Уйғурчә, or ئۇيغۇر تىلى Uyghur tili Уйғур тили;
IPA
[ʔʊjˈʁʊrtʃɛ]),[4][5] formerly known as Eastern Turki,[6] is a Turkic language
spoken in Xinjiang Uyghur Autonomous Region, a Central Asian region
administered by China, mainly by the Uyghur ethnic group.

20: 'ur' => 'اردو', # Urdu
http://www.ethnologue.com/show_language.asp?code=urd
http://en.wikipedia.org/wiki/Urdu
Urdu (اُردوُ Hindi: उर्दू Urdū, IPA: [ˈʊrduː] (also alternately known as
Undri)
is a Central Indo-Aryan language of the Indo-Iranian branch, belonging to the
Indo-European family of languages. It is one of the two official languages
(the
other being English) of Pakistan

21: 'yi' => 'ייִדיש', # Yiddish
http://www.sil.org/iso639-3/documentation.asp?id=yid
http://en.wikipedia.org/wiki/Yiddish_language
Yiddish (ייִדיש yidish or אידיש idish, literally "Jewish") is a
non-territorial
High German language of Jewish origin, spoken throughout the world. Yiddish
is
conventionally written in the Hebrew alphabet.

++++ end of list ++++

Amire80 added a comment.Via WebDec 16 2014, 3:46 PM

I created T78670 to convert this bug into a Phabricator tag (or something similar).

MarkAHershberger removed a subscriber: MarkAHershberger.Via WebDec 22 2014, 5:01 PM
epriestley changed the status of blocking task T3321: RTL monobook tabs jump on hover in IE6 from "Declined" to "Resolved".Via DaemonsMar 4 2015, 8:14 AM
epriestley changed the status of blocking task T4349: avoid overlapping links in mixed RTL and LTR context using tables from "Invalid" to "Resolved".
Aklapper changed the status of blocking task T4349: avoid overlapping links in mixed RTL and LTR context using tables from "Resolved" to "Invalid".Via WebMar 4 2015, 9:18 AM
Aklapper changed the status of blocking task T3321: RTL monobook tabs jump on hover in IE6 from "Resolved" to "Declined".
Krinkle changed the status of blocking task T86979: jquery dialog with auto size takes 50% screen width in RTL language wikis from "Open" to "Stalled".Via WebApr 28 2015, 5:35 PM
Amire80 edited projects, added I18n; removed MediaWiki-Parser.Via WebMay 16 2015, 1:23 PM
Amire80 set Security to None.
Aklapper added a comment.Via WebMay 27 2015, 9:03 PM

Please note that this tracking task will very soon be converted into a Phabricator project, as proposed in T78670: convert the RTL blocking bug T2745 into a tag.

Amire80 added a comment.Via WebMay 30 2015, 2:22 PM

Please note that this tracking task will very soon be converted into a Phabricator project, as proposed in T78670: convert the RTL blocking bug T2745 into a tag.

This would be great! Thank you.

Aklapper mentioned this in RTL.Via WebJun 2 2015, 2:17 PM
Aklapper closed this task as "Declined".Via WebJun 2 2015, 2:23 PM
Aklapper claimed this task.
Aklapper added a project: RTL.
Aklapper edited the task description. (Show Details)

This tracking task has been superseded by the project RTL as requested in T78670: convert the RTL blocking bug T2745 into a tag.
Please use / watch the project RTL instead of this task.

Add Comment